import { axios } from '@/utils/request'

//  开单退货单报表
export const salesReportReturnBillList = (params) => {
  const url = `/report/salesReturnBillReport/returnBillQueryPage/${params.pageNo}/${params.pageSize}`
  delete params.pageNo
  delete params.pageSize
  return axios({
    url: url,
    data: params,
    method: 'post'
  })
}
//  开单退货单报表  合计
export const salesReportReturnBillCount = (params) => {
  return axios({
    url: '/report/salesReturnBillReport/returnBillQuerySum',
    data: params,
    method: 'post'
  })
}
//  开单退货报表
export const salesReportReturnList = (params) => {
  const url = `/report/salesReturnBillReport/returnQueryPage/${params.pageNo}/${params.pageSize}`
  delete params.pageNo
  delete params.pageSize
  return axios({
    url: url,
    data: params,
    method: 'post'
  })
}
//  开单退货报表  合计
export const salesReportReturnCount = (params) => {
  return axios({
    url: '/report/salesReturnBillReport/returnQuerySum',
    data: params,
    method: 'post'
  })
}
//  实售退货报表
export const salesReportReturnRebateList = (params) => {
  const url = `/report/salesReturnBillReport/returnRebateQueryPage/${params.pageNo}/${params.pageSize}`
  delete params.pageNo
  delete params.pageSize
  return axios({
    url: url,
    data: params,
    method: 'post'
  })
}
//  实售退货报表  合计
export const salesReportReturnRebateCount = (params) => {
  return axios({
    url: '/report/salesReturnBillReport/returnRebateQuerySum',
    data: params,
    method: 'post'
  })
}
//  销售退货单报表
export const reportSalesReturnList = (params) => {
  const url = `/report/reportSalesReturn/queryPage/${params.pageNo}/${params.pageSize}`
  delete params.pageNo
  delete params.pageSize
  return axios({
    url: url,
    data: params,
    method: 'post'
  })
}
//  销售退货单报表  合计
export const reportSalesReturnCount = (params) => {
  return axios({
    url: '/report/reportSalesReturn/queryCount',
    data: params,
    method: 'post'
  })
}
//  销售退货明细报表
export const reportSalesReturnDetailList = (params) => {
  const url = `/report/reportSalesReturn/detail/queryPage/${params.pageNo}/${params.pageSize}`
  delete params.pageNo
  delete params.pageSize
  return axios({
    url: url,
    data: params,
    method: 'post'
  })
}
//  销售退货明细报表  合计
export const reportSalesReturnDetailCount = (params) => {
  return axios({
    url: '/report/reportSalesReturn/detail/queryCount',
    data: params,
    method: 'post'
  })
}
//  销售退货明细报表 导出
export const reportSalesReturnDetailExport = (params) => {
  return axios({
    url: '/report/reportSalesReturn/detail/exportExcel',
    data: params,
    method: 'post',
    responseType: 'blob'
  })
}
//  总部差价明细报表
export const headRebateDetailReportList = (params) => {
  const url = `/report/headRebateDetailReport/queryPage/${params.pageNo}/${params.pageSize}`
  delete params.pageNo
  delete params.pageSize
  return axios({
    url: url,
    data: params,
    method: 'post'
  })
}
//  总部差价明细报表  合计
export const headRebateDetailReportCount = (params) => {
  return axios({
    url: '/report/headRebateDetailReport/querySum',
    data: params,
    method: 'post'
  })
}
