import { axios } from '@/utils/request'

//  散件入库 列表  分页
export const sparePartsList = (params) => {
  const url = `/spareParts/queryPage/${params.pageNo}/${params.pageSize}`
  delete params.pageNo
  delete params.pageSize
  return axios({
    url: url,
    data: params,
    method: 'post'
  })
}

// 审核
export const sparePartsAudit = (params) => {
  return axios({
    url: `/spareParts/audit`,
    data: params,
    method: 'post'
  })
}

// 删除
export const sparePartsDelete = (params) => {
  return axios({
    url: `/spareParts/delete/${params.sn}`,
    data: params,
    method: 'post'
  })
}

// 删除明细
export const sparePartsDeleteDetail = (params) => {
  return axios({
    url: `/spareParts/deleteDetail/${params.sn}`,
    data: params,
    method: 'post'
  })
}

// 分页列表明细
export const sparePartsDetailList = (params) => {
  const url = `/spareParts/queryDetailPage/${params.sn}/${params.pageNo}/${params.pageSize}`
  delete params.pageNo
  delete params.pageSize
  return axios({
    url: url,
    data: params,
    method: 'post'
  })
}

// 分页列表明细合计
export const sparePartsPageCount = (params) => {
  return axios({
    url: `/spareParts/queryDetailPageCount/${params.sn}`,
    data: params,
    method: 'post'
  })
}

// 保存
export const sparePartsSave = (params) => {
  return axios({
    url: `/spareParts/save`,
    data: params,
    method: 'post'
  })
}

// 保存明细
export const sparePartsSaveDetail = (params) => {
  return axios({
    url: `/spareParts/saveDetail`,
    data: params,
    method: 'post'
  })
}
// 明细  详情
export const sparePartsDetailD = (params) => {
  return axios({
    url: `/spareParts/queryDetailBySn/${params.sn}`,
    data: params,
    method: 'post'
  })
}
